﻿
using System;
using Wisej.Web;

namespace DataGridViewButtonClick
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < 5; i++)
            {
                dataGridView1.Rows.Add("Button" + i, "dummy" + i);

                Button b = new Button();
                b.Text = "ControlButton" + i;
                b.Dock = DockStyle.Fill;
                b.Click += B_Click;
                dataGridView1[1, i].Control = b;
            }
        }

        private void B_Click(object sender, EventArgs e)
        {
            AlertBox.Show("ControlButton was clicked: " + (sender as Button).Text);
        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            if (dataGridView1[e.ColumnIndex, e.RowIndex] is DataGridViewButtonCell)
            {
                AlertBox.Show("ButtonCell was clicked: " + dataGridView1[e.ColumnIndex, e.RowIndex].Value);
            }
        }

        private void dataGridView1_CellMouseClick(object sender, DataGridViewCellMouseEventArgs e)
        {
            //if (dataGridView1[e.ColumnIndex, e.RowIndex] is DataGridViewButtonCell)
            //{
            //    AlertBox.Show("ButtonCell was clicked: " + dataGridView1[e.ColumnIndex, e.RowIndex].Value);
            //}
        }
    }
}
